{% extends 'base/base.html' %}

{% block base_title %}
    Generate tasks
{% endblock %}

{% block base_content %}
    <div class="container jumbotron">
        <div>
            <h1>Tasks generation</h1>
            <div class="lead">TODO : explain</div>
            <div class="d-flex flex-column">
                <div class="p-2 d-flex flex-row">
                    <div class="p-2 font-weight-bold">
                        &#8226 Random :
                    </div>
                    <div class="p-2">
                        Random uniform tasks.
                    </div>
                </div>
                <div class="p-2 d-flex flex-row">
                    <div class="p-2 font-weight-bold">
                        &#8226 Pareto :
                    </div>
                    <div class="p-2">
                        TODO
                    </div>
                </div>
                <div class="p-2 d-flex flex-row">
                    <div class="p-2 font-weight-bold">
                        &#8226 One speciality :
                    </div>
                    <div class="p-2">
                        TODO
                    </div>
                </div>
                <div class="p-2 d-flex flex-row">
                    <div class="p-2 font-weight-bold">
                        &#8226 Random square corner :
                    </div>
                    <div class="p-2">
                        TODO
                    </div>
                </div>
                <div class="p-2 d-flex flex-row">
                    <div class="p-2 font-weight-bold">
                        &#8226 Random square:
                    </div>
                    <div class="p-2">
                        TODO
                    </div>
                </div>
                <div class="p-2 d-flex flex-row">
                    <div class="p-2 font-weight-bold">
                        &#8226 Random square 3 cases :
                    </div>
                    <div class="p-2">
                        TODO
                    </div>
                </div>
            </div>

            <hr class="my-4">
        </div>

        <div>
            <form method="post">
                {% csrf_token %}

                <div class="form-group">
                    <label for="method">Generation method :</label>
                    <select class="form-control" name="method">
                        <option value="random">Random</option>
                        <option value="pareto">Pareto</option>
                        <option value="one_spe">One speciality</option>
                        <option value="random_square_corner">Random square corner</option>
                        <option value="random_square">Random square</option>
                        <option value="random_square_3cases">Random square 3 cases</option>
                    </select>
                </div>

                <div class="form-group">
                    <label for="num">Number of tasks :</label>
                    <input class="form-control" name="num" type="number" value="1" min="1">
                </div>

                <div>
                    <button class="btn btn-primary">
                        Generate
                    </button>
                    <button class="btn btn-secondary" type="reset">
                        Cancel
                    </button>
                </div>
            </form>
        </div>
    </div>
{% endblock %}
